Subject: Re: [PATCH] gitweb: The "Owner" column can be hidden

From: Jan Stępień <[email-masked]>
Date: Wed, 31 Mar 2010 15:32:18 +0200

On Wed, 31 Mar 2010 02:48:57 -0700
Junio C Hamano <[email-masked]> wrote:
> Jan Stępień  <[email-masked]> writes:
> 
> > This commit adds $show_owner_column configuration variable which allows
> > to hide the project list "Owner" column if desired.
> > 
> > @@ -4430,7 +4433,7 @@ sub git_project_list_body {
> >  		}
> >  		print_sort_th('project', $order, 'Project');
> >  		print_sort_th('descr', $order, 'Description');
> > -		print_sort_th('owner', $order, 'Owner');
> > +		print_sort_th('owner', $order, 'Owner') if $show_owner_column;
> >  		print_sort_th('age', $order, 'Last Change');
> 
> Ugly.  Think what you would do if somebody else asks you to allow him to
> omit 'Description', or perhaps 'Last Change'.
> 
> I would understand if the change was to introduce a configuration variable
> of the array type @project_column whose default value is qw(project descr
> owner age) that is used to control which columns are shown in what order.
> 
> If it is undesirable to allow reordering the columns, the configuration
> should at least be %omit_project_column used like this, no?
> 
> 	print_sort_th('project', $order, 'Project')
>         	unless $omit_project_column{'project'};
> 	print_sort_th('descr', $order, 'Description')
>         	unless $omit_project_column{'descr'};
> 	...
> 

As I wrote in my e-mail to Jakub Narebski, the reason for hiding only
the "Owner" column is a single-user situation. There's only one owner
and repeating his name in each column isn't necessary.

I agree that your solution is cleaner and allows further customization,
but it covers a slightly different issue comparing to the one I'm
addressing.

I like the idea suggested by Jakub to make this config variable cover
other pages. It could remove the owner information from both the
project list and project summaries.

Cheers,
-- 
Jan Stępień <[email-masked]>